- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QFrustumCulling
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QFrustumCulling Class

class Qt3DRender::QFrustumCulling

Enable frustum culling for the FrameGraph. More...

Header: | `#include <QFrustumCulling>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | FrustumCulling
Inherits: | Qt3DRender::QFrameGraphNode
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

A QFrustumCulling class enables frustum culling of the drawable entities based on the camera view and QGeometry bounds of the entities. If QFrustumCulling is present in the FrameGraph, only the entities whose QGeometry bounds intersect with the camera frustum, i.e. the view of the camera, are drawn. If QFrustumCulling is not present, all drawable entities will be drawn. The camera is selected by a QCameraSelector frame graph node in the current hierarchy. Frustum culling can save a lot of GPU processing time when the rendered scene is complex.

See also QCameraSelector.

## Member Function Documentation

### `[explicit]` QFrustumCulling::QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.